Update Workflow
curl --request PUT \
--url https://api.eesi.ai/v1/workflow/{workflow_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"workflow_definition": {},
"template_context_variables": {},
"workflow_configurations": {
"ambient_noise_configuration": {
"enabled": false,
"volume": 0.3
},
"max_call_duration": 300,
"max_user_idle_timeout": 10,
"smart_turn_stop_secs": 2,
"turn_start_strategy": "default",
"turn_start_min_words": 3,
"provisional_vad_pause_secs": 1.5,
"turn_stop_strategy": "transcription",
"dictionary": "",
"context_compaction_enabled": false
}
}
'import requests
url = "https://api.eesi.ai/v1/workflow/{workflow_id}"
payload = {
"name": "<string>",
"workflow_definition": {},
"template_context_variables": {},
"workflow_configurations": {
"ambient_noise_configuration": {
"enabled": False,
"volume": 0.3
},
"max_call_duration": 300,
"max_user_idle_timeout": 10,
"smart_turn_stop_secs": 2,
"turn_start_strategy": "default",
"turn_start_min_words": 3,
"provisional_vad_pause_secs": 1.5,
"turn_stop_strategy": "transcription",
"dictionary": "",
"context_compaction_enabled": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
workflow_definition: {},
template_context_variables: {},
workflow_configurations: {
ambient_noise_configuration: {enabled: false, volume: 0.3},
max_call_duration: 300,
max_user_idle_timeout: 10,
smart_turn_stop_secs: 2,
turn_start_strategy: 'default',
turn_start_min_words: 3,
provisional_vad_pause_secs: 1.5,
turn_stop_strategy: 'transcription',
dictionary: '',
context_compaction_enabled: false
}
})
};
fetch('https://api.eesi.ai/v1/workflow/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"template_context_variables": {},
"call_disposition_codes": {
"disposition_codes": []
},
"total_runs": 123,
"workflow_configurations": {},
"version_number": 123,
"version_status": "<string>",
"workflow_uuid": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
Update Agent
Update an agentโs name, workflow definition, or configuration
PUT
/
v1
/
workflow
/
{workflow_id}
Update Workflow
All fields are optional โ only include the fields you want to change. Updating
workflow_definition creates a new versioned definition while preserving the history of previous versions.Authorizations
BearerAuthApiKeyHeader
An EESI API key (sk-eesi-...) or a Clerk session token.
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
โI